.sidebar-backing {
  position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  background-color: var(--color-bg-contrast);
  opacity: 0;
  z-index: 1200;
  pointer-events: none;
  transition: 0.3s;
}
.sidebar-backing.active {
  opacity: 0.4;
  pointer-events: auto;
}
.sidebar {
  position: fixed;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  left: 1.2rem;
  top: 1.2rem;
  bottom: 1.2rem;
  width: min(calc(100% - 2.4rem), 50rem);
  z-index: 1210;
  opacity: 0;
  border-radius: 2.4rem;
  pointer-events: none;
  transform: translateX(-5rem);
  transition: 0.3s;
  background-color: var(--color-bg);
  overflow: hidden;
}
.sidebar.active {
  opacity: 1;
  pointer-events: auto;
  transform: translateX(0);
}
.sidebar .sidebar__inner {
  width: 100%;
  align-self: stretch;
  display: flex;
  flex-direction: column;
  position: relative;
  height: 100%;
}

/*  */

.sidebar .sidebar__header {
  width: 100%;
  background: linear-gradient(
    0deg,
    rgb(var(--color-bg-rgb) / 0) 0%,
    rgb(var(--color-bg-rgb) / 1) 50%,
    rgb(var(--color-bg-rgb) / 1) 100%
  );
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 8rem;
  display: flex;
  align-items: stretch;
  z-index: 910;
  padding: 0.6rem 0.6rem 0 0.6rem;
}
.sidebar .sidebar__top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
  padding: 0 3rem;
  position: relative;
  width: 100%;
}
.sidebar .sidebar__top .sidebar__title {
  display: flex;
  align-items: center;
  gap: 2rem;
}
.sidebar .sidebar__top .sidebar__title-icon {
  flex-shrink: 0;
  display: flex;
  align-items: center;
}
.sidebar .sidebar__top .sidebar__title-icon .icon {
  width: 2.4rem;
  height: 2.4rem;
  fill: var(--color-text-muted);
  opacity: 0.3;
}
.sidebar .sidebar__top .sidebar__title-label {
  font-size: 2.4rem;
  display: block;
  color: var(--color-text-muted);
}
.sidebar .sidebar__top .sidebar__button-close {
  background-color: var(--color-bg-muted);
  position: relative;
  border-radius: 20rem;
  width: 4.4rem;
  height: 4.4rem;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  flex-shrink: 0;
  transition: 0.3s;
}
.sidebar .sidebar__top .sidebar__button-close .icon {
  fill: var(--color-text-muted);
  width: 1.6rem;
  height: 1.6rem;
  transition: 0.3s;
}
.sidebar .sidebar__top .sidebar__button-close:hover .icon {
  transform: rotate(90deg);
}

/*  */

.sidebar .sidebar__content {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  flex-grow: 1;
  flex-shrink: 1;
  height: calc(100% - 8rem);
  overflow-y: auto;
  position: relative;
  padding: 9.2rem 3.6rem 6rem;
  gap: 3.6rem;
  scrollbar-width: thin;
  scrollbar-color: rgb(var(--color-text-rgb) / 0.2) var(--color-bg);
}

/*  */

.sidebar .sidebar-block {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  gap: 2.4rem;
}
.sidebar .sidebar-block .sidebar-block__title {
  font-size: 2.4rem;
  opacity: 0.4;
}
.sidebar .sidebar-block .sidebar-block__content {
  width: 100%;
}

.sidebar .user-panel {
  position: relative;
  width: 100%;
}
.sidebar .user-panel .account-link.button {
  height: 7.2rem;
  flex-shrink: 0;
  background-color: var(--color-bg-muted);
  border-radius: 1.8rem;
  display: flex;
  align-items: center;
  gap: 1.2rem;
  padding: 0 2rem 0 1.8rem;
}
.sidebar .user-panel .account-link.button .button__icon {
  display: flex;
  flex-shrink: 0;
}
.sidebar .user-panel .account-link.button .button__icon .icon {
  width: 2rem;
  height: 2rem;
}
.sidebar .user-panel .account-link.button .button__text {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.8rem;
  flex-shrink: 1;
  justify-content: space-between;
  width: 100%;
}
.sidebar .user-panel .account-link.button .button__label {
  display: block;
}
.sidebar .user-panel .bonuses-number {
  background-color: var(--color-accent);
  display: flex;
  height: 3.2rem;
  padding: 0 1.2rem;
  border-radius: 20rem;
  align-items: center;
  flex-shrink: 0;
  gap: 0.4rem;
}
.sidebar .user-panel .bonuses-number .bonuses-number__value {
  display: block;
  font-size: 1.4rem;
}
.sidebar .user-panel .bonuses-number .bonuses-number__icon {
  display: flex;
}
.sidebar .user-panel .bonuses-number .bonuses-number__icon .icon {
  width: 1.2rem;
  height: 1.2rem;
}

/*  */

.sidebar .nav-menu {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 1.2rem;
}
.sidebar .nav-menu .menu-item {
  display: block;
}
.sidebar .nav-menu .menu-item a {
  display: block;
  line-height: 1.2;
  transition: 0.3s;
}
.sidebar .nav-menu .menu-item a:hover,
.sidebar .nav-menu .menu-item.current-menu-item a {
  opacity: 0.6;
}

/*  */

.sidebar .categories-menu {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 1.2rem;
}
.sidebar .categories-menu .menu-item {
  display: block;
  line-height: 1.2;
  transition: 0.3s;
}
.sidebar .categories-menu .menu-item:hover {
  opacity: 0.6;
}

/*  */

.sidebar .contacts-list {
  display: flex;
  flex-direction: column;
  position: relative;
  gap: 1.2rem;
}
.sidebar .contacts-list .contact-item {
  display: flex;
  align-items: stretch;
}
.sidebar .contacts-list .contact-item .contact-item__content {
  display: flex;
  align-items: center;
  gap: 1.2rem;
}
.sidebar .contacts-list .contact-item .contact-item__link {
}
.sidebar .contacts-list .contact-item .contact-item__icon {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  height: 3.6rem;
  width: 3.6rem;
  transition: 0.3s;
  overflow: hidden;
  background-color: var(--color-bg-muted);
  border-radius: 20rem;
}
.sidebar .contacts-list .contact-item .contact-item__icon .icon {
  width: 2.4rem;
  height: 2.4rem;
}
.sidebar .contacts-list .contact-item.location .contact-item__icon .icon {
  width: 2rem;
  height: 2rem;
}
.sidebar .contacts-list .contact-item.phone .contact-item__icon .icon {
  width: 2rem;
  height: 2rem;
}
.sidebar .contacts-list .contact-item.whatsapp .contact-item__icon .icon {
  width: 2rem;
  height: 2rem;
}
.sidebar .contacts-list .contact-item.instagram .contact-item__icon .icon {
  width: 2rem;
  height: 2rem;
}
.sidebar .contacts-list .contact-item.telegram .contact-item__icon .icon {
  width: 2rem;
  height: 2rem;
}
.sidebar .contacts-list .contact-item.instagram .contact-item__icon .icon {
  width: 1.8rem;
  height: 1.8rem;
}
.sidebar .contacts-list .contact-item.max .contact-item__icon .icon {
  width: 1.8rem;
  height: 1.8rem;
}
.sidebar .contacts-list .contact-item .contact-item__text {
  display: block;
}

/*  */
